CREATE procedure [C6StagingPeriodico].[RP_ST_PosizioniProposta] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_PosizioniProposta',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_PosizioniProposta  
 insert into C6StagingPeriodico.RP_PosizioniProposta  
 select chiavePosizionePro,  
   chiaveProgetto,  
   chiaveProdotto,  
   conto,  
   rubricato,  
   codConf,  
   numPolizza,  
   custGar,  
   codAbi,  
   termId,  
   anno,  
   prog  
   from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.PosizioniProposta  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_PosizioniProposta' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_PosizioniProposta'  
  )  
end